Bug 1480517 - NetworkManager resets wifi hotspot SSID name to hostname
NetworkManager resets wifi hotspot SSID name to hostname
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: network-manager-applet (Show other bugs)
26
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-11 05:57 EDT by Alan
Modified: 2018-05-29 08:54 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:54:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan 2017-08-11 05:57:09 EDT
Description of problem:
NetworkManager allows to create wifi hotspots which have a name.

The hotspot SSID name can be editted to some arbitary string;  however if you change the SSID and save it (via /etc/sysconfig/network-scripts/ifcfg-Hotspot or nm-connection-editor), the next time you start your wifi hotspot, the hotspot name reverts back to the hostname.

Even edit, save, restarting networkmanager, start wifi hotspot has same bug behaviour.

Running under cinnamon desktop and enabling using NetworkManager applet

This used to work as expected in F24.

Version-Release number of selected component (if applicable):
Fedora 26
NetworkManager.x86_64  1:1.8.2-1.fc26 

How reproducible:
Every time


Steps to Reproduce:
1. From X desktop, goto NetworkManager -> Network Connections
location "Hotspot" under "Wifi" subsection and "Edit"
2. Change SSID name and save
3. vefify name change is persisted /etc/sysconfig/network-scripts/ifcfg-Hotspot
4. goto NetwokrManager -> NetworkSettings
5. click "Use as Hotspot.." and "Turn On"
5. the "Network Name" in dialog shows that the SSID has been reverted to the hostname

Actual results:
Hotspot SSID changed to hostname

Expected results:
hotspot SSID to be honoured when hotspot is enabled and no overwriting/updating of /etc/sysconfig/network-scripts/ifcfg-Hotspot

Additional info:
Worked under Fedora 24
Comment 1 Beniamino Galvani 2018-01-05 08:10:27 EST
The "Network Settings" dialog is part of cinnamon control center and it resets the SSID to the system hostname every time the hotspot functionality is activated. Updating the bug component.
Comment 2 leigh scott 2018-01-07 05:06:52 EST
Does gnome-control-center do the same?, fedora cinnamon-control-center was recently rebased to 3.24.3


https://github.com/linuxmint/cinnamon-control-center/pull/189


Looking at the gnome commits it is the intended behaviour.

https://bugzilla.gnome.org/show_bug.cgi?id=705546
Comment 3 leigh scott 2018-01-07 07:14:04 EST
(In reply to leigh scott from comment #2)
> Does gnome-control-center do the same?, fedora cinnamon-control-center was
> recently rebased to 3.24.3
> 
> 
> https://github.com/linuxmint/cinnamon-control-center/pull/189
> 
> 
> Looking at the gnome commits it is the intended behaviour.
> 
> https://bugzilla.gnome.org/show_bug.cgi?id=705546

network-manager-applet (nm-connection-editor) is a gnome component so it shouldn't try to set hotspot name if gnome-control-center doesn't support it.
Comment 4 Björn 'besser82' Esser 2018-01-07 07:21:03 EST
After a discussion with Leigh about the reported bug and the fact it is intended behaviour from "Network Settings" in GNOME Control Center to reset the name of the hotspot to the machine's hostname on activation, I think GNOME should not ship tools that are contradicting and conflicting in their intended functionality.
Comment 5 Beniamino Galvani 2018-01-08 08:05:50 EST
(In reply to Björn "besser82" Esser from comment #4)
> After a discussion with Leigh about the reported bug and the fact it is
> intended behaviour from "Network Settings" in GNOME Control Center to reset
> the name of the hotspot to the machine's hostname on activation, I think
> GNOME should not ship tools that are contradicting and conflicting in their
> intended functionality.

What is contradicting? nm-connection-editor (as the name says) is a
editor of NM profiles (connections) and the "hotspot" generated by
gnome-control-center is a normal wi-fi connection with mode=AP. I
don't think that nm-c-e should prevent users from editing connections
just because other tools created them. Also, how nm-c-e should detect
that the connection was created by control-center, by the name? (if
so, if users create a connection named "Hotspot", they won't be able
to edit the connection again).

In my opinion when users activate the hotspot fuctionality,
control-center should either (1) reuse the existing profile if it is
compatible (right SSID, device, ...) or (2) create a new one.
Comment 6 Björn 'besser82' Esser 2018-01-09 12:00:40 EST
(In reply to Beniamino Galvani from comment #5)
> In my opinion when users activate the hotspot fuctionality,
> control-center should either (1) reuse the existing profile if it is
> compatible (right SSID, device, ...) or (2) create a new one.

The better option would be, if nm-c-e would warn a user about g-c-c might clobber any customization made to a profile named "Hotspot" or if a such named profile is created by the user…
Comment 7 Fedora End Of Life 2018-05-03 04:35:58 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2018-05-29 08:54:18 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.